list.c File Reference
`#include <stdlib.h>`
`#include "FreeRTOS.h"`
`#include "list.h"`
Include dependency graph for list.c:

## Functions

void | vListInitialise (List_t *const pxList)
void | vListInitialiseItem (ListItem_t *const pxItem)
void | vListInsertEnd (List_t *const pxList, ListItem_t *const pxNewListItem)
void | vListInsert (List_t *const pxList, ListItem_t *const pxNewListItem)
UBaseType_t | uxListRemove (ListItem_t *const pxItemToRemove)

## Function Documentation

## uxListRemove()

UBaseType_t uxListRemove | ( | ListItem_t *const | pxItemToRemove | ) |

Here is the caller graph for this function:

## vListInitialise()

void vListInitialise | ( | List_t *const | pxList | ) |

Here is the caller graph for this function:

## vListInitialiseItem()

void vListInitialiseItem | ( | ListItem_t *const | pxItem | ) |

Here is the caller graph for this function:

## vListInsert()

void vListInsert | ( | List_t *const | pxList,
|  | ListItem_t *const | pxNewListItem
| ) |  |

Here is the caller graph for this function:

## vListInsertEnd()

void vListInsertEnd | ( | List_t *const | pxList,
|  | ListItem_t *const | pxNewListItem
| ) |  |

Here is the caller graph for this function: